tss2_delete(1)

NAME

tss2_delete(1) -

SYNOPSIS

tss2_delete [OPTIONS]

SEE ALSO

fapi-config(5) to adjust Fapi parameters like the used cryptographic profile and TCTI or directories for the Fapi metadata storages.

fapi-profile(5) to determine the cryptographic algorithms and parameters for all keys and operations of a specific TPM interaction like the name hash algorithm, the asymmetric signature algorithm, scheme and parameters and PCR bank selection.

DESCRIPTION

tss2_delete(1) - This command deletes the given key, policy or NV from the FAPI metadata store and the TPM. Depending on the entity type, one of the following actions are taken:

    - Non-persistent key: Flush from TPM (if loaded) and delete public and private blobs from keystore.
    - Persistent keys: Evict from TPM and delete public and private blobs from keystore
    - Primary keys: Flush from TPM and delete public blob from keystore
    - NV index: Undefine NV index from TPM and delete public blob from FAPI metadata store
    - Policies: Delete entry from policy store
    - Hierarchy, PCR: These are not deletable
    - Special keys ek, srk: These are not deletable

OPTIONS

These are the available options:

•   -p, --path=STRING:

    The path to the entity to delete.

COMMON OPTIONS

This collection of options are common to all tss2 programs and provide information that many users may expect.

•   -h, --help [man|no-man]: Display the tools manpage. By default, it attempts to invoke the manpager for the tool, however, on failure will output a short tool summary. This is the same behavior if the “man” option argument is specified, however if explicit “man” is requested, the tool will provide errors from man on stderr. If the “no-man” option if specified, or the manpager fails, the short options will be output to stdout.

    To successfully use the manpages feature requires the manpages to be installed or on MANPATH, See man(1) for more details.

•   -v, --version: Display version information for this tool, supported tctis and exit.

EXAMPLE

Deletes storage hierarchy (HS) and everything below it:

    tss2_delete --path=/HS

RETURNS

0 on success or 1 on failure.

BUGS

Github Issues (https://github.com/tpm2-software/tpm2-tools/issues)

HELP

See the Mailing List (https://lists.linuxfoundation.org/mailman/listinfo/tpm2)